Subject: Re: Maths ruined when optimizing in gcc
From: [email-masked] (Fleury Peter)

26 Nov 1996 14:04:35 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,
Several readers on this list reported the same problem about
floating point problems when compiled with optimize (-O).

I analysed this problem and did the following experiment:

I downloaded the GNU GNAT (GNU Ada Translater for Win95/NT, which
is based on GCC and includes a minimum GCC) and extraced the module
CC1.exe.

Then I installed CC1.exe into the directory of Cygnus/GCC and could 
compile with optimize and execute all the floating point modules without
problems.

        Regards
            Peter

URL for GNAT for Win32:  
     ftp://ftp.cs.yale.edu/pub/gnat/setup-gnat304a1.exe.gz (5MB)
                and mirrors
Peter Fleury		    Software Engineer VMS/UNIX, Project Manager 
Email: [email-masked]		  Regensdorf/Zurich Switzerland

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".